Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IConstantPoolConstant

public interface IConstantPoolConstant

Description of constant pool constants as described in the JVM specifications. This interface is not intended to be implemented by clients.

Since:
  2.0

Field Summary
`static int` | `CONSTANT_Class`
`static int` | `CONSTANT_Class_SIZE`
`static int` | `CONSTANT_Double`
`static int` | `CONSTANT_Double_SIZE`
`static int` | `CONSTANT_Fieldref`
`static int` | `CONSTANT_Fieldref_SIZE`
`static int` | `CONSTANT_Float`
`static int` | `CONSTANT_Float_SIZE`
`static int` | `CONSTANT_Integer`
`static int` | `CONSTANT_Integer_SIZE`
`static int` | `CONSTANT_InterfaceMethodref`
`static int` | `CONSTANT_InterfaceMethodref_SIZE`
`static int` | `CONSTANT_Long`
`static int` | `CONSTANT_Long_SIZE`
`static int` | `CONSTANT_Methodref`
`static int` | `CONSTANT_Methodref_SIZE`
`static int` | `CONSTANT_NameAndType`
`static int` | `CONSTANT_NameAndType_SIZE`
`static int` | `CONSTANT_String`
`static int` | `CONSTANT_String_SIZE`
`static int` | `CONSTANT_Utf8`
`static int` | `CONSTANT_Utf8_SIZE`

Field Detail

### CONSTANT_Class

    public static final int CONSTANT_Class

See Also:
  Constant Field Values

### CONSTANT_Fieldref

    public static final int CONSTANT_Fieldref

See Also:
  Constant Field Values

### CONSTANT_Methodref

    public static final int CONSTANT_Methodref

See Also:
  Constant Field Values

### CONSTANT_InterfaceMethodref

    public static final int CONSTANT_InterfaceMethodref

See Also:
  Constant Field Values

### CONSTANT_String

    public static final int CONSTANT_String

See Also:
  Constant Field Values

### CONSTANT_Integer

    public static final int CONSTANT_Integer

See Also:
  Constant Field Values

### CONSTANT_Float

    public static final int CONSTANT_Float

See Also:
  Constant Field Values

### CONSTANT_Long

    public static final int CONSTANT_Long

See Also:
  Constant Field Values

### CONSTANT_Double

    public static final int CONSTANT_Double

See Also:
  Constant Field Values

### CONSTANT_NameAndType

    public static final int CONSTANT_NameAndType

See Also:
  Constant Field Values

### CONSTANT_Utf8

    public static final int CONSTANT_Utf8

See Also:
  Constant Field Values

### CONSTANT_Methodref_SIZE

    public static final int CONSTANT_Methodref_SIZE

See Also:
  Constant Field Values

### CONSTANT_Class_SIZE

    public static final int CONSTANT_Class_SIZE

See Also:
  Constant Field Values

### CONSTANT_Double_SIZE

    public static final int CONSTANT_Double_SIZE

See Also:
  Constant Field Values

### CONSTANT_Fieldref_SIZE

    public static final int CONSTANT_Fieldref_SIZE

See Also:
  Constant Field Values

### CONSTANT_Float_SIZE

    public static final int CONSTANT_Float_SIZE

See Also:
  Constant Field Values

### CONSTANT_Integer_SIZE

    public static final int CONSTANT_Integer_SIZE

See Also:
  Constant Field Values

### CONSTANT_InterfaceMethodref_SIZE

    public static final int CONSTANT_InterfaceMethodref_SIZE

See Also:
  Constant Field Values

### CONSTANT_Long_SIZE

    public static final int CONSTANT_Long_SIZE

See Also:
  Constant Field Values

### CONSTANT_String_SIZE

    public static final int CONSTANT_String_SIZE

See Also:
  Constant Field Values

### CONSTANT_Utf8_SIZE

    public static final int CONSTANT_Utf8_SIZE

See Also:
  Constant Field Values

### CONSTANT_NameAndType_SIZE

    public static final int CONSTANT_NameAndType_SIZE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.